Name: salasaga
Version: 0.8.0
Release: alt2.alpha7

Summary: An Integrated Development Environment for producing Elearning
License: LGPL3
Group: Graphics
Url: http://www.salasaga.org
Packager: Vladimir Lettiev <crux@altlinux.ru>

Source: %name-%version.tar

BuildRequires: libpng-devel libgtk+2-devel glib2-devel libGConf-devel libxml2-devel libming-devel libnotify-devel libgnome-devel ImageMagick

%description
A free, easy to use GUI authoring environment that helps you create
visually impressive, useful learning material.

%prep
%setup -q

%build
sh ./autogen.sh
%configure
%make_build

%install
%makeinstall_std
mkdir -p %buildroot{%_miconsdir,%_niconsdir,%_liconsdir}
convert %buildroot%_datadir/pixmaps/salasaga-icon.png -scale 16x16 %buildroot%_miconsdir/salasaga-icon.png
convert %buildroot%_datadir/pixmaps/salasaga-icon.png -scale 32x32 %buildroot%_niconsdir/salasaga-icon.png
convert %buildroot%_datadir/pixmaps/salasaga-icon.png -scale 48x48 %buildroot%_liconsdir/salasaga-icon.png
rm -rf %buildroot%_datadir/pixmaps
%find_lang %name

%files -f %name.lang
%_bindir/%name
%_bindir/%{name}_screencapture
%_miconsdir/salasaga-icon.png
%_niconsdir/salasaga-icon.png
%_liconsdir/salasaga-icon.png
%_desktopdir/%name.desktop
%_datadir/%name
%doc AUTHORS ChangeLog COPYING.LESSER

%changelog
* Wed Mar 09 2011 Vladimir Lettiev <crux@altlinux.ru> 0.8.0-alt2.alpha7
- updated buildreqs

* Sun Mar 21 2010 Vladimir Lettiev <crux@altlinux.ru> 0.8.0-alt1.alpha7
- initial build for sisyphus

